/*
** Provide web interface to modify course information
** Class: CourseModify
** Author: Yuping Zhu
** Date: 03-26-1999
*/

package ascdb.courses;

//import package java.sql to use JDBC
import java.sql.*;

//import package oracle.html to generate dynamic HTML page
import oracle.html.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import ascdb.conf;
import ascdb.pub.UserCheck;

public class CourseModify extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws ServletException, IOException
	{
	
        // Output HTML page header
        res.setContentType("text/html");
	PrintWriter out = res.getWriter();
	conf dbconf= new conf(req);
	String cidStr = req.getParameter("cid");
	int cid = (new Integer(cidStr)).intValue();
	String uid = req.getParameter("me");
  	UserCheck u = new UserCheck(uid);
	
	try {
	// Creates an HtmlHead Object
	HtmlHead hd = new HtmlHead("Modify Course Information");
	
        // Create an HtmlBody Object
	HtmlBody bd = new HtmlBody();

	// Sets various attributes of HtmlBody
     	bd.setBackgroundColor("#fffff2");

	// Creates an HtmlPage object using hd and bd
	HtmlPage hp = new HtmlPage(hd, bd);
  
	if (u.UserRole(1) < 0) {
		hp.addItem(new SimpleItem("You have no this privilegel"));
 		out.println(hp);
		return;
	}

	hp
//	  .addItem(new SimpleItem(f.toHTML()))
	  .addItem(new SimpleItem("Please modify course information").setBold().setFontColor(Color.red))
	  .addItem(SimpleItem.HorizontalRule);
	
//	Font bf = new Font(Color.black,null,"+1");
//	hp.addItem(new SimpleItem(bf.toHTML()));

	// Load the Oracle JDBC driver
	Class.forName (dbconf.JdbcDriver);

	// Connect to the database
	Connection conn =
		DriverManager.getConnection (dbconf.ConnectStr,dbconf.DBName,dbconf.DBPassword);
	
	// Create a Statement
	Statement stmt = conn.createStatement ();

	// Pick up the course info. from DB
	String QueryString = "select * from courses where course_id = " + cid;
	// execute query
        ResultSet rset = stmt.executeQuery (QueryString);

	if (rset.next()) 
	{
	    Form frm = new Form("POST",dbconf.ServerURLBase + "ascdb.courses.UpdateCourse");
	
	    frm
		.addItem(SimpleItem.LineBreak)
	       	.addItem(new SimpleItem("Course Number: ").setBold().setItal().setFontColor(Color.olive))
		.addItem(new TextField("num", 32, 16, rset.getString("course_num")))
		.addItem(SimpleItem.LineBreak)
	        .addItem(new SimpleItem("Title: ").setBold().setItal().setFontColor(Color.olive))
		.addItem(new TextField("tit", 32, 16, rset.getString("title")))
		.addItem(SimpleItem.LineBreak)
		.addItem(new SimpleItem("Duration(days): ").setBold().setItal().setFontColor(Color.olive))
		.addItem(new TextField("days", 32, 16, rset.getString("duration")))
		.addItem(SimpleItem.LineBreak)
		.addItem(new SimpleItem("Prerequisites: ").setBold().setItal().setFontColor(Color.olive))
		.addItem(SimpleItem.LineBreak)
		.addItem(new TextArea("prerequire", 50, 4,rset.getString("prerequisites")))
		.addItem(SimpleItem.LineBreak)
                .addItem(new SimpleItem("Overview: ").setBold().setItal().setFontColor(Color.olive))
       		.addItem(SimpleItem.LineBreak)
       		.addItem(new TextArea("descriptions", 50, 8,rset.getString("overview")))
		.addItem(SimpleItem.LineBreak)
		.addItem(new SimpleItem("Course Syllabus:").setBold().setItal().setFontColor(Color.olive))
		.addItem(SimpleItem.LineBreak)
		.addItem(new TextArea("syllabus", 50, 8,rset.getString("agenda")));
		
	     frm
		 .addItem(new Hidden("me",uid))
		 .addItem(new Hidden("cid",cidStr))
		 .addItem(new Hidden("op","3"))
		 .addItem(SimpleItem.LineBreak)
     		 .addItem(new Submit("submit", "Submit!"))
     		 .addItem(new Reset("Reset"));	    
	     // Adds form to HtmlBody
    	     bd.addItem(frm);
             // print out HTML page
     	     out.println(hp);
     	     }
     }
     catch(Exception e) {
	out.println(e.getMessage());
     }
}

} 

	 
